import {
  type RouteConfig,
  index,
  layout,
  route,
} from "@react-router/dev/routes";
import { Links } from "./lib/links";

export default [
  layout("layouts/app-layout.tsx", [
    layout("layouts/private-layout.tsx", [
      index("routes/dashboard.tsx"),
      route(Links.PRODUCTS, "routes/products/list.tsx"),
      // layout("layouts/users-layout.tsx", [
      //   route(Links.USERS.children.LIST, "routes/users/list.tsx"),
      //   route(Links.USERS.children.ROLES, "routes/users/roles.tsx"),
      //   route(Links.USERS.children.RESOURCES, "routes/users/resources.tsx"),
      // ]),
    ]),
    layout("layouts/public-layout.tsx", [route("login", "routes/login.tsx")]),
  ]),
] satisfies RouteConfig;
